Zum Inhalt

Get salesPrice

Retrieve the properties and relationships of a sales price object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/salesPricesKTG

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a salesPrices object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/salesPricesKTG?$filter=assetType eq 'Item' and assetNumber eq '80100' 

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "entryNo": 1,
    "sourceType": "(All)",
    "sourceNumber": "",
    "assetType": "Item",
    "assetNumber": "80100",
    "variantCode": "",
    "pricesIncludeTax": false,
    "unitOfMeasure": "SCHACHTEL",
    "quantity": 1,
    "unitPrice": 8.9,
    "unitCostLCY": 4.7,
    "lineDiscount": 0,
    "campaignNumber": "",
    "unitListPrice": 6.5
}

See also

Tips for working with the APIs
salesPrices